Package org.apache.sling.contentparser.json

# Enum JSONParserFeature

java.lang.Object
java.lang.Enum<JSONParserFeature>
org.apache.sling.contentparser.json.JSONParserFeature

All Implemented Interfaces:
  `Serializable`, `Comparable<JSONParserFeature>`

public enum JSONParserFeature extends Enum<JSONParserFeature>
Feature flags for parsing JSON files.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMENTS`
Support comments (/*
`QUOTE_TICK`
Support ticks (') additional to double quotes (") as quoting symbol for JSON names and strings.

## Method Summary

Modifier and Type
Method
Description
`static JSONParserFeature`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JSONParserFeature[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMENTS

public static final JSONParserFeature COMMENTS
Support comments (/* ... */) in JSON files.

### QUOTE_TICK

public static final JSONParserFeature QUOTE_TICK
Support ticks (') additional to double quotes (") as quoting symbol for JSON names and strings.

## Method Details

### values

public static JSONParserFeature[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JSONParserFeature valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null